Bug 7792 - redefine the field branchcode as PRIMARY KEY of branches
Summary: redefine the field branchcode as PRIMARY KEY of branches
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Stéphane Delaune
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 10:28 UTC by Stéphane Delaune
Modified: 2013-12-05 20:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.75 KB, patch)
2012-03-22 10:37 UTC, Stéphane Delaune
Details | Diff | Splinter Review
Bug 7792:redefine the field branchcode as PRIMARY KEY of branches (1.81 KB, patch)
2012-05-13 15:26 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Delaune 2012-03-22 10:28:51 UTC
table branches has a UNIQUE KEY `branchcode`, we should move to PRIMARY KEY
Comment 1 Stéphane Delaune 2012-03-22 10:37:53 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-05-13 15:26:11 UTC
Created attachment 9539 [details] [review]
Bug 7792:redefine the field branchcode as PRIMARY KEY of branches

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Paul Poulain 2012-05-28 10:02:34 UTC
QA comment: the PRIMARY KEY is something needed, but once it's defined, the UNIQUE index is useless. Passed QA, I'll do the follow-up to remove the UNIQUE KEY
Comment 4 Paul Poulain 2012-05-31 16:07:08 UTC
patch pushed (rev 3.09.00.009)
Comment 5 Jared Camins-Esakov 2012-12-31 01:02:48 UTC
There have been no further reports of problems so I am marking this bug resolved.